release_tracks: [GA, ALPHA, BETA]
help_text:
  brief: Update a multicast domain.
  description: |
    Update a multicast domain in the specified location of the current project.
  examples: |
    Update a multicast domain with the name `my-multicast-domain`
    and location `zone`.

      $ {command} my-multicast-domain --description="new description" --location=zone
arguments:
  resource:
    spec: !REF googlecloudsdk.command_lib.network_services.resources:multicastDomain
    help_text: |
      Name of the multicast domain to be updated.
  params:
  - arg_name: description
    api_field: multicastDomain.description
    help_text: The description for the multicast domain.
  labels:
    api_field: multicastDomain.labels
update:
  read_modify_update: true
async:
  collection: networkservices.projects.locations.operations
request: &request
  GA:
    api_version: v1
  ALPHA:
    api_version: v1alpha1
  BETA:
    api_version: v1beta1
  collection: networkservices.projects.locations.multicastDomains
  method: patch
